Subject: bug#26233: 26.0.50; [PATCH] Improve documentation for display-buffer-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Sat, 25 Mar 2017 15:58:51 +0100

On 2017-03-25, at 11:32, Eli Zaretskii wrote:

>> From: Jens Lechtenboerger <[email-masked]>
>> Date: Sat, 25 Mar 2017 08:53:13 +0100
>> Cc: [email-masked]
>> 
>> On 2017-03-24, at 07:51, Drew Adams wrote:
>> 
>> >> in Bug#25946 we discussed how to replace the obsolete variables
>> >> special-display-buffer-names and special-display-regexps.  The
>> >> attached patch extends the doc string of display-buffer-alist
>> >> based on that discussion.
>> >
>> > FWIW:
>> >
>> > 1. I *strongly* object to the deprecation of these user
>> > options.
>> > [...]
>> 
>> I agree wholeheartedly.
>
> Those variables were obsoleted in Emacs 24.3, which was released 4
> years ago.  Isn't it too late to strongly object now to their
> deprecation?  That ship sailed long ago.

I see it this way: The departure of that ship was announced long
ago, for those knowing where to look; however, it did not sail yet.
I've got several settings for special-display variables in my init
file (predating 24.3, I don't know since when).  They still work
today, and they work without any user visible warning.

Best wishes
Jens